# $Revision: 1.16 $, $Date: 2004/05/07 01:12:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Chart
%define	pnam	Plot
Summary:	Chart::Plot - plot two dimensional data in an image
Summary(pl):	Chart::Plot - gaficzne przedstawianie dwuwymiarowych dane
Name:		perl-Chart-Plot
Version:	0.11
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22105348d7ff33603e37fb470c0ce003
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-GD
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
I wrote Chart::Plot to create images of some simple graphs of two
dimensional data. The other graphing interface modules to GD.pm I saw
on CPAN either could not handle negative data, or could only chart
evenly spaced horizontal data. (If you have evenly spaced or nonmetric
horizontal data and you want a bar or pie chart, I have successfully
used the GIFgraph and Chart::* modules, available on CPAN.)

%description -l pl
Ten modu zosta napisany do tworzena obrazw zawierajcych wykresy
dwuwymiarowych danych. Inne znane autorowi interfejsy do GD.pm nie
potrafiy obsuy danych ujemnych, albo potrafiy przedstawia tylko
dane o rwnym rozkadzie (do przedstawienia danych o rwnym rozkadzie
lub poziomych niemetrycznych danych na wykresie supkowym lub koowym
wystarcza modu GIFgraph i moduy Chart::* dostpne w CPAN).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demo.cgi $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Chart-Plot.spec,v $
Revision 1.16  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.15  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.12  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.11  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:27:56  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 08:44:19  radek
- new, STBR
